﻿using Ozeki.Media.MediaHandlers;
using Ozeki.VoIP;
using Ozeki.VoIP.Media;

namespace Web2SIPServer
{
    /// <summary>
    /// It will forwarding the data to the VoIP SIP SDK media sender mechanism.
    /// </summary>
    class MyMediaSender : PhoneCallAudioSender
    {
        public MyMediaSender()
        {
            MediaFormat = new AudioFormat();
        }

        /// <summary>
        /// Forward the Media data.
        /// </summary>
        /// <param name="data"></param>
        public void SendMediaData(byte[] data)
        {
            SendData(new AudioData(MediaFormat, data));
        }

        #region Overrides of VoIPMediaHandler

        /// <summary>
        /// This will be called when media data received from a media handler. (This example never use this function so it not contains any logic.)
        /// </summary>
        /// <param name="sender">The object that sent the media data.</param>
        /// <param name="e">The data with format information.</param>
        protected override void DataReceived(object sender, VoIPEventArgs<Ozeki.VoIP.Media.AudioData> e)
        {
           return;
        }

        #endregion
    }
}
